Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029233
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Web POSminorhave not tried2015-03-11 05:112015-03-16 11:17
ReporterguilleaerView Statuspublic 
Assigned Toguilleaer 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionc083ec387979
ProjectionnoneETAnoneTarget VersionRR15Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029233: Allow using a preference to hide filters by characteristcs from search tab

DescriptionSometimes, customers are not interested in product characteristics, and they want to hide that filters to show product details

Would be great to have a preference (by default disabled), to hide that tools from search tab
Steps To ReproduceN/A
Proposed SolutionAdd a preference by default false
Hide filters to search by characteristics
Automatically space to show product details will be increased
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0029232RR15Q2 closedguilleaer Allow using a preference to hide product images from browse and search tab 
depends on feature request 0028933RR16Q1 closedRetail QA: RR15Q2: Add tests for Mobile applications 

-  Notes
(0075429)
hgbot (developer)
2015-03-11 05:25

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: c083ec3879792d6f35df57c025a2eb662f54d585
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Mar 11 09:52:36 2015 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/c083ec3879792d6f35df57c025a2eb662f54d585 [^]

fixed issue 29233: Product Characteristics search filters can be hidden using a preference.

A preference OBPOS_HideProductCharacteristics has been created [posterminal module] (by default false). If the value is true, then search utils related to characteristics will not be shown in search Tab, increasing the space to show the product description.

---
M web/org.openbravo.mobile.core/source/retail/component/ob-retail-searchproductcharacteristic.js
---
(0075431)
guilleaer (developer)
2015-03-11 05:34

doc updated:
http://wiki.openbravo.com/wiki/Retail:Web_POS_User_Guide#Searching [^]
http://wiki.openbravo.com/wiki/Retail:Web_POS_User_Guide#Browsing [^]
(0075608)
migueldejuana (developer)
2015-03-16 10:42

Tested and reviewed in b783bc2385e7
(0075614)
migueldejuana (developer)
2015-03-16 11:17

The creation of the preference is in this commit https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/560522a5115f5e7ead00c752b8990a4f11469dba [^]

- Issue History
Date Modified Username Field Change
2015-03-11 05:11 guilleaer New Issue
2015-03-11 05:11 guilleaer Assigned To => guilleaer
2015-03-11 05:11 guilleaer Triggers an Emergency Pack => No
2015-03-11 05:25 hgbot Checkin
2015-03-11 05:25 hgbot Note Added: 0075429
2015-03-11 05:25 hgbot Status new => resolved
2015-03-11 05:25 hgbot Resolution open => fixed
2015-03-11 05:25 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/c083ec3879792d6f35df57c025a2eb662f54d585 [^]
2015-03-11 05:26 guilleaer Relationship added related to 0029232
2015-03-11 05:34 guilleaer Note Added: 0075431
2015-03-13 14:12 Orekaria Relationship added depends on 0028933
2015-03-16 10:42 migueldejuana Review Assigned To => migueldejuana
2015-03-16 10:42 migueldejuana Note Added: 0075608
2015-03-16 10:42 migueldejuana Status resolved => closed
2015-03-16 11:17 migueldejuana Note Added: 0075614


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker